Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.adf.controller.faces.context
Class FacesPageLifecycleContext

`java.lang.Object
oracle.adf.controller.v2.context.LifecycleContext
oracle.adf.controller.v2.context.PageLifecycleContext
oracle.adf.controller.faces.context.FacesPageLifecycleContext`

public class FacesPageLifecycleContext
extends PageLifecycleContext

Custom implementation of the PageLifecycleContext to suit the `FacesPageLifecycle`.

Since:
  10.1.3

Field Summary
`static java.lang.String` | `ACTION_EVENT_KEY` Key used to store the ActionEvent instance in the context map.
`static java.lang.String` | `FACES_CONTEXT_KEY` Key used to store the FacesContext instance in the context map.

Fields inherited from class oracle.adf.controller.v2.context.PageLifecycleContext
`ACTION_BINDING_KEY, ALLOW_MODEL_UPDATE_KEY, CONTROL_ACTION_BINDINGS_KEY, EVENT_METHOD_PREFIX, EVENT_PREFIX, EVENT_PREFIX_KEY, EVENTS_KEY, FORWARD_PATH_BINDINGS_KEY, REDIRECT_BINDINGS_KEY, UPDATED_VALUES_KEY, VALIDATE_ERROR_KEY`

Fields inherited from class oracle.adf.controller.v2.context.LifecycleContext
`envMap, PAGE_LIFECYCLE_KEY`

Constructor Summary
`FacesPageLifecycleContext(java.util.Map envMap)`

Method Summary
`javax.faces.event.ActionEvent` | `getActionEvent()` Return the current ActionEvent.
`Environment` | `getEnvironment()` Retrieve the anonymous environment using the FacesContext.
`javax.faces.context.FacesContext` | `getFacesContext()` Return the FacesContext.
`protected java.lang.String` | `getPath()` Retrieve the current page path using page viewId of the current viewRoot.
`void` | `setActionEvent(javax.faces.event.ActionEvent actionEvent)` Set the current ActionEvent.

Methods inherited from class oracle.adf.controller.v2.context.PageLifecycleContext
`addControlActionBinding, addEvent, getControlActionBindings, getEventActionBinding, getEventPrefix, getEvents, getForwardPath, getInputValidationErrors, getParameterMap, getRedirect, getUpdatedValues, setEventActionBinding, setEventPrefix, setForwardPath, setInputValidationErrors, setRedirect, setUpdatedValues`

Methods inherited from class oracle.adf.controller.v2.context.LifecycleContext
`getBindingContainer, getBindingContext, getInstance, getInstance, getPageController, getPageLifecycle, getPagePhaseListener, getPrepareRender, initControllerClass, prepareRender, setPageController, setPageLifecycle, setPagePhaseListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACES_CONTEXT_KEY

    public static final java.lang.String FACES_CONTEXT_KEY

  Key used to store the FacesContext instance in the context map.
  See Also:
    `getFacesContext()`, Constant Field Values

### ACTION_EVENT_KEY

    public static final java.lang.String ACTION_EVENT_KEY

  Key used to store the ActionEvent instance in the context map.
  See Also:
    `getActionEvent()`, Constant Field Values

Constructor Detail

### FacesPageLifecycleContext

    public FacesPageLifecycleContext(java.util.Map envMap)

Method Detail

### getPath

    protected java.lang.String getPath()

  Retrieve the current page path using page viewId of the current viewRoot.
  Overrides:
    `getPath` in class `LifecycleContext`
  Returns:
    the path for the current page.

### getEnvironment

    public Environment getEnvironment()

  Retrieve the anonymous environment using the FacesContext.
  Overrides:
    `getEnvironment` in class `LifecycleContext`
  See Also:
    `ADFContext.getEnvironment()`

### getFacesContext

    public javax.faces.context.FacesContext getFacesContext()

  Return the FacesContext.

### setActionEvent

    public void setActionEvent(javax.faces.event.ActionEvent actionEvent)

  Set the current ActionEvent.

### getActionEvent

    public javax.faces.event.ActionEvent getActionEvent()

  Return the current ActionEvent.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Lifecycle Java API Reference 10g Release 3 (10.1.3) B25779-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.